use libadwaita :: * ;

use crate :: ui :: collatable_container :: * ;
use crate :: ui :: component :: * ;
use crate :: ui :: utility :: * ;



pub struct CollectionViewStack { widget : ViewStack }

impl CollectionViewStack {
	pub fn new (
		films_container : & CollatableFilmsContainer ,
		series_container : & CollatableSeriesContainer ,
	) -> Self {
		let widget = view_stack ! (
			( "Films" , "camera-video-symbolic" , films_container . get_widget () ) ,
			( "Series" , "video-display-symbolic" , series_container . get_widget () ) ,
		) ;

		Self { widget }
	}
}

impl Component <ViewStack> for CollectionViewStack {
	fn get_widget ( & self ) -> & ViewStack { & self . widget }
}
